QGIS Application - Feature request #1834
Adding drawing objects to map composer
2009-07-31 07:14 AM - dassouki -

Status: Closed

Priority: Low

Assignee:

Category:

Pull Request or Patch supplied: Resolution: invalid
Easy fix?: No Copied to github as #: 11894
Description

| was wondering if it is possible to add a drawing toolbox that includes different circles, lines and linetypes.
For example sometimes | want to show zoomed in locations. It would be nice if i could draw a circle and a line to highlight the zoomed in
areas.

History

#1 - 2009-07-31 08:16 AM - Paolo Cavallini
- Resolution set to invalid
- Status changed from Open to Closed

| do not think map composer will ever become a fully fledged drawing tool. For this, the best option is to save your map and edit it in Inkscape or similar.
This is the current approach also for commercial GIS

#2 - 2009-07-31 12:23 PM - dassouki -

i'm not saying it should become a drawing tool, rather a simple feature to make life a bit easier.

Replying to [comment:1 pcav]:

I do not think map composer will ever become a fully fledged drawing tool. For this, the best option is to save your map and edit it in Inkscape or

similar. This is the current approach also for commercial GIS

#3 - 2013-03-21 12:32 PM - Antonio Locandro
Why not add a drawing tool like in ArcGIS? | wouldn't want to open it in Inkscape just to add a simple Circle and a Line, most commercial GIS do it by the

way

#4 - 2013-03-21 12:38 PM - Giovanni Manghi
- Pull Request or Patch supplied set to No
- Assignee deleted (nobody -)

Antonio Locandro wrote:

Why not add a drawing tool like in ArcGIS? | wouldn't want to open it in Inkscape just to add a simple Circle and a Line, most commercial GIS do it
by the way
there is a tool to draw circles, ellipses, rectangles, triangles and arrows (that without head are lines).
